@import url('https://fonts.googleapis.com/css2?family=Bytesized&family=Kode+Mono:wght@400..700&family=Press+Start+2P&family=Rubik+Mono+One&display=swap');

:root {
    --color-dark: #060606;
    --color-blue: #00426D;
    --color-dark-green: #0C8E8E;
    --color-middle-green: #39CAAB;
    --color-light-green: #A1FF95;
    --color-glowing-green: #00FFC8;
    --color-light: #FFFFFF;
}

.game {
    display: flex;
    width: 100%;
}

body {
    background-color: var(--color-dark);
    color: var(--color-light);
    overflow: hidden;
}

.container-left {
    width: 40%;
    justify-items: center;
    margin-top: 4ch;
    overflow: hidden;
}

h1 {
    font-family: "Rubik Mono One", monospace;
    font-weight: 100;
    width: 90%;
    height: 4ch;
    background: url('../img/name-text-holgrafik-effect.png');
    background-size: cover;
    background-position: center;
    text-align: center;
    align-content: center;
}

.button-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 2ch;
    width: 50ch;
    height: 23vw;
    justify-items: center;
    margin-top: 8vh;
}

#game-button {
    width: 25vw;
    height: 25vw;
    background: url('../img/green-button.png');
    background-size:contain;
    background-position: center;
    background-repeat: no-repeat;
    justify-self: center;
    transition: 0.1s;
    margin-top: 1vw;
}

#game-button:hover {
    scale: 0.98;
    transition: 0.1s;
}

#game-button:active {
    scale: 0.97;
    transition: 0.1s ease-in-out;
}

.floating-ring {
    position: fixed;
    width: 22vw;
    height: 22vw;
    background: url('../img/holografik-effect-button.png');
    background-size: cover;
    background-position: center;
    z-index: -1;
    align-content: center;
    margin-bottom: 7.5vh;

    animation-name: spin;
    animation-duration: 30000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear; 
}

@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}

.rod {
    width: 1.5ch;
    height: 8vw;
    background: url('../img/rod.png');
    background-size: cover;
    background-position: center;
    z-index: 0;
    justify-content: center;
}

.charges-box {
    width: 100%;
    height: 33vh;
    background: url('../img/bolt-background.png');
    background-size: cover;
    background-position: center;
    align-content: center;
    justify-items: center;
    border-top: 0.5ch solid var(--color-light-green);
}

.bolt-rows {
    width: 3.5vw;
    display: flex;
    gap: 4ch;
    justify-content: center;
    margin-top: 1ch;
}

#bolt-one,
#bolt-two,
#bolt-three,
#bolt-four,
#bolt-five,
#bolt-six,
#bolt-seven,
#bolt-eight,
#bolt-nine,
#bolt-ten {
    visibility: hidden;
}

.bolts {
    margin-top: 3ch;
}

.vertical-divider {
    width: 1.8ch;
    height: auto;
    background: url('../img/container-one-seperator.png');
    background-size: contain;
    z-index: 2;
}

.container-middle {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 55%;
}

.stats {
    display: flex;
    font-family: "Kode Mono", monospace;
    width: 95%;
    height: 19ch;
    background: url('../img/stats-holografik-effect.png');
    background-size:contain;
    background-size: 39vw 20vh;
    background-position: center;
    background-repeat: no-repeat;
    align-content: center;
    justify-self: center;
    margin-block: 1ch;
}

.stats ul {
    line-height: 3vh;
    align-self: center;
    margin-left: 3vw;
}

li {
    list-style: none;
    display: flex;
    justify-content: space-between;
    font-size: 1.2vw;
}

.stats-divider {
    width: 100%;
    height: 3ch;
    background: url('../img/container-two-stats-divider.png');
    background-size:contain;
    background-position: center;
    align-content: center;
    justify-self: center;
    border-bottom: 1ch solid var(--color-blue);
}

.map {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.map div {
    display: flex;
    width: auto;
    height: 35ch;
}

#map-part-one {
    width: 100%;
    background: url('../img/map-part-one.png');
    background-size:contain;
    background-repeat: no-repeat;
    visibility: hidden;
}

#map-part-two {
    width: 100%;
    background: url('../img/map-part-two.png');
    background-size:contain;
    background-repeat: no-repeat;
    visibility: hidden;
}

#map-part-three {
    width: 100%;
    background: url('../img/map-part-three.png');
    background-size:contain;
    background-repeat: no-repeat;
    visibility: hidden;
}

#map-part-four {
    width: 120%;
    background: url('../img/map-part-four.png');
    background-size:contain;
    background-repeat: no-repeat;
    visibility: hidden;
}

.container-right {
    overflow: scroll;
    width: 30%;
    height: auto;
    margin-top: 2ch;
}

h3 {
    font-family: "Press Start 2P", system-ui;
    width: 19vw;
    height: 20vh;
    font-size: 260%;
    background: url('../img/store-holografik-effect.png');
    background-size:contain;
    background-repeat: no-repeat;
    justify-self: center;
    text-align: center;
    align-content: center;
}

.store-text {
    margin-bottom: 1ch;
}

.horizontal-divider {
    width: auto;
    height: 3.2ch;
    background: url('../img/container-three-divider.png');
    background-size:contain;
}

.upgrades {
    display: grid;
    grid-template-columns: auto auto auto auto;
    grid-template-rows: 35% 35% 25%;
    height: 16vw;
    width: 100%;
    border: 1.2ch solid var(--color-blue);
    background: url('../img/upgrades-grid.png');
    background-size:contain;
    background-position: center;
    background-repeat: no-repeat;
    justify-items: center;
    align-items: center;
}

.upgrades > li {
    margin: 0;
}

.item {
    width: 80%;
    height: auto;
    justify-items: center;
}

.item:hover img {
    width: 85%;
}

.item:hover .upgrade-text-box {
    visibility: visible;
}

.machine-box:hover .upgrade-text-box {
    visibility: visible;
    justify-content: center;
}

.machine-box:hover .machine img{
    width: 12vw;
}

.machine-box .upgrade-name {
    font-size: 1.2rem;
    margin-top: 0;
    width: 20ch;
}

.machine-box .upgrade-des-cost {
    font-size: 0.8rem;
    width: 30ch;
}

.upgrade-text-box {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 16vw;
    right: 24.3vw;
    width: 49ch;
    height: 15ch;
    background-color: var(--color-dark);
    background: url('../img/dashed-border.png');
    background-size: contain;
    background-position: center;
    align-self: center;
    visibility: hidden;
}

.upgrade-name {
    margin-left: 3.5ch;
    margin-top: 2.5ch;
    font-size: 1.1rem;
    font-family: "Kode Mono", monospace;
}

.upgrade-des-cost {
    margin-left: 5ch;
    font-size: 0.8rem;
    font-family: "Kode Mono", monospace;
}

.amount {
    float: right;
}

.machineBox {
    overflow: hidden;
}

.machine {
    height: 20vh;
    display: flex;
    align-items: center;
    overflow: hidden;
}

.machine p, h4{
    font-family: "Kode Mono", monospace;
    font-size: 1vw;
    position: static;
    width: 8vw;
}

.machines {
    display: block;
    height: 110%;
}

.machines .horizontal-divider{
    width: 100%;
    height: 2ch;
    right: 0;
    top: 0;
}

.machines img {
    width: 13vw;
    position: relative;
    right: 5ch;
    top: 2ch;
}

#msgbox {
    z-index: 3;
    position: fixed;
    right: 4vmin;
    bottom: 2vmin;
    min-width: 25rem;
}

#msgbox > p {
    font-family: "Kode Mono", monospace;
    font-size: 1rem;
    margin-bottom: 1ch;
    padding: 3ch;
    margin-left: 10ch;
}

.warning {
    background-image: url('../img/msg-window.png');
    background-size: 50ch 30ch;
    background-repeat: no-repeat;
    background-position: center;
    color: red;
}

.success {
    background-image: url('../img/msg-window.png');
    background-size: 50ch 30ch;
    background-repeat: no-repeat;
    background-position: center;
    color: var(--color-light-green);
}

.achievement {
    background-image: url('../img/msg-window.png');
    background-size: 50ch 30ch;
    background-repeat: no-repeat;
    background-position: center;
    color: var(--color-light);
}

.achievementTracker {
    position: fixed;
    bottom: 37%;
    left: 2vw;
}

.achievementTracker img {
    width: 4ch;
}

.achievementTracker:hover #trophy {
    scale: 0.9;
}

.achievement-box {
    border-top: 0.5ch solid var(--color-glowing-green);
    position: fixed;
    bottom: 0vh;
    left: 0vw;
    font-family: "Kode Mono", monospace;
    overflow: scroll;
    background-color: var(--color-dark);
    color: var(--color-light);
    height: 32vh;
    width: 31.5vw;
    display: none;
}

.achievement-box h2 {
    padding-left: 2ch;
    margin-top: 1ch;
    padding-bottom: 0.5ch;
    border-bottom: 0.2ch solid var(--color-light-green);
}

.unlocked-achievement {
    width: auto;
    height: 9.5ch;
    border: 0.5ch solid var(--color-dark-green);
    padding-bottom: 2vh;
    padding-top: 2vh;
}

.unlocked-achievement * {
    margin-left: 2vw;
    width: 20vw;
}

::-webkit-scrollbar {
    display: none;
}

@media only screen and (max-width: 1025px) {
    .container-left {
        width: 30%;
    }

    .stats ul {
        margin-left: 6vw;

    }

    .machine {
        height: 12vw;
    }

    .floating-ring {
        top: 15.5vw;
    }

    .button-box {
        height: 43vw;
    }

    #game-button {
        width: 17vw;
    }

    .rod {
        height: 40vw;
        background-size: 1.2vw 40vw;
    }

    .charges-box {
        width: 100%;
        height: 16vw;
    }

    .upgrade-text-box {
        right: 32.7vh;
    }

    h3 {
        width: 20vw;
        height: 15vh;
        font-size: 200%;
    }

    .achievement-box {
        width: 26vw;
        bottom: -10vh;
    }

    .achievementTracker {
        bottom: 20%;
    }

}

@media only screen and (max-width: 768px) {

    .floating-ring {
        top: 21vw;
    }

    .button-box {
        height: 43vw;
    }

    #game-button {
        width: 17vw;
    }

    .rod {
        height: 40vw;
        background-size: 1.2vw 40vw;
    }

    .upgrade-text-box {
        top: 26vh;
        right: 24.5vh;
        width: 38vw;
        height: 17vh;
        background-repeat: no-repeat;
    }

    .upgrade-name {
        font-size: 2vh;
        margin-top: 5vh;
    }

    .upgrade-des-cost {
        font-size: 1.3vh;
    }
}





